//**************************************************************//
//  The Googlher v1.0                                       //
//                                                              //
//  by Randy Sarafan                                            //
//                                                              //
//  Built atop shiftIn Example 1.1 by Carlyn Maw                //
//  http://www.arduino.cc/en/Tutorial/ShiftIn                   //
//                                                              //
//                                                              //
//                                                              //
//                                                              //
//****************************************************************



//define where your pins are

int clockPin = 7;
int latchPin = 8;
int dataPin = 9;

int motorPin = 10;

//volatile int state = LOW;


//Define variables to hold the data 
//for shift register.
//starting with a non-zero numbers can help
//troubleshoot
byte switchVar1 = 72;  //01001000

void setup() {
  //start serial
  Serial.begin(9600);

  //define pin modes
  
  pinMode(latchPin, OUTPUT);
  pinMode(clockPin, OUTPUT); 
  pinMode(dataPin, INPUT);
//  attachInterrupt(0, shifting, RISING);

}

void loop() {
  

  
    digitalWrite(latchPin,1);
  delayMicroseconds(20);
  digitalWrite(latchPin,0);

  switchVar1 = shiftIn(dataPin, clockPin);  
  
  switch (switchVar1) {
     case 0:
      
      //google
      analogWrite(motorPin, 0);
      delay(200);
      //analytics
      analogWrite(motorPin, 0);
      delay(200);
      //adsense
      analogWrite(motorPin, 0);
      delay(200);
      //youtube
      analogWrite(motorPin, 0);
      delay(200);
      break;
    case 1:
      
      analogWrite(motorPin, 180);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      break;
    case 2:
      
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 180);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      break;
    case 3:
      
      analogWrite(motorPin, 220);
      delay(200);
      analogWrite(motorPin, 220);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      break;
    case 4:
      
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 180);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      break;
    case 5:
      
      analogWrite(motorPin, 220);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 220);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      break;
    case 6:
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 220);
      delay(200);
      analogWrite(motorPin, 220);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      break;
    case 7:
      
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      break;
    case 8:
      
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 180);
      delay(200);
      break;
    case 9:
      
      analogWrite(motorPin, 220);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 220);
      delay(200);
      break;
    case 10:
      
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 220);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 220);
      delay(200);
      break;
    case 11:
      
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      break;
     case 12:
      
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 220);
      delay(200);
      analogWrite(motorPin, 220);
      delay(200);
      break;
    case 13:
      
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      break;
    case 14:
      
      analogWrite(motorPin, 0);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      break;
    case 15:

      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      analogWrite(motorPin, 255);
      delay(200);
      break;
  }


  // Serial.println(switchVar1, DEC);

   //white space
   //Serial.println("-------------------");
   //delay so all these print satements can keep up. 
   delay(200);
}
 
 
void shifting() {


}

//------------------------------------------------end main loop

////// ----------------------------------------shiftIn function
///// just needs the location of the data pin and the clock pin
///// it returns a byte with each bit in the byte corresponding
///// to a pin on the shift register. leftBit 7 = Pin 7 / Bit 0= Pin 0

byte shiftIn(int myDataPin, int myClockPin) { 
  int i;
  int temp = 0;
  int pinState;
  byte myDataIn = 0;

  pinMode(myClockPin, OUTPUT);
  pinMode(myDataPin, INPUT);

  for (i=7; i>=0; i--)
  {
    digitalWrite(myClockPin, 0);
    delayMicroseconds(0.2);
    temp = digitalRead(myDataPin);
    if (temp) {
      pinState = 1;
      //set the bit to 0 no matter what
      myDataIn = myDataIn | (1 << i);
    }
    else {

      pinState = 0;
    }

    digitalWrite(myClockPin, 1);

  }

  return myDataIn;
}

